org.optaplanner.core.impl.constructionheuristic.decider

## Class ConstructionHeuristicDecider<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.constructionheuristic.decider.ConstructionHeuristicDecider<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  Direct Known Subclasses:
    MultiThreadedConstructionHeuristicDecider

      public class ConstructionHeuristicDecider<Solution_>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `assertExpectedUndoMoveScore`
    `protected boolean` | `assertMoveScoreFromScratch`
    `protected ConstructionHeuristicForager` | `forager`
    `protected org.slf4j.Logger` | `logger`
    `protected String` | `logIndentation`
    `protected Termination` | `termination`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructionHeuristicDecider(String logIndentation, Termination termination, ConstructionHeuristicForager forager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decideNextStep(ConstructionHeuristicStepScope<Solution_> stepScope, Placement<Solution_> placement)`
    `protected void` | `doMove(ConstructionHeuristicMoveScope<Solution_> moveScope)`
    `ConstructionHeuristicForager` | `getForager()`
    `void` | `phaseEnded(ConstructionHeuristicPhaseScope<Solution_> phaseScope)`
    `void` | `phaseStarted(ConstructionHeuristicPhaseScope<Solution_> phaseScope)`
    `protected void` | `pickMove(ConstructionHeuristicStepScope<Solution_> stepScope)`
    `void` | `setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)`
    `void` | `setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)`
    `void` | `solvingEnded(DefaultSolverScope<Solution_> solverScope)`
    `void` | `solvingStarted(DefaultSolverScope<Solution_> solverScope)`
    `void` | `stepEnded(ConstructionHeuristicStepScope<Solution_> stepScope)`
    `void` | `stepStarted(ConstructionHeuristicStepScope<Solution_> stepScope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### logIndentation

          protected final String logIndentation

    - #### termination

          protected final Termination termination

    - #### forager

          protected final ConstructionHeuristicForager forager

    - #### assertMoveScoreFromScratch

          protected boolean assertMoveScoreFromScratch

    - #### assertExpectedUndoMoveScore

          protected boolean assertExpectedUndoMoveScore

  - ### Constructor Detail

    - #### ConstructionHeuristicDecider

          public ConstructionHeuristicDecider(String logIndentation,
                                              Termination termination,
                                              ConstructionHeuristicForager forager)

  - ### Method Detail

    - #### getForager

          public ConstructionHeuristicForager getForager()

    - #### setAssertMoveScoreFromScratch

          public void setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)

    - #### setAssertExpectedUndoMoveScore

          public void setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)

    - #### solvingStarted

          public void solvingStarted(DefaultSolverScope<Solution_> solverScope)

    - #### phaseStarted

          public void phaseStarted(ConstructionHeuristicPhaseScope<Solution_> phaseScope)

    - #### stepStarted

          public void stepStarted(ConstructionHeuristicStepScope<Solution_> stepScope)

    - #### stepEnded

          public void stepEnded(ConstructionHeuristicStepScope<Solution_> stepScope)

    - #### phaseEnded

          public void phaseEnded(ConstructionHeuristicPhaseScope<Solution_> phaseScope)

    - #### solvingEnded

          public void solvingEnded(DefaultSolverScope<Solution_> solverScope)

    - #### decideNextStep

          public void decideNextStep(ConstructionHeuristicStepScope<Solution_> stepScope,
                                     Placement<Solution_> placement)

    - #### pickMove

          protected void pickMove(ConstructionHeuristicStepScope<Solution_> stepScope)

    - #### doMove

          protected void doMove(ConstructionHeuristicMoveScope<Solution_> moveScope)

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.